<?php
ini_set('error_reporting', E_ALL);
ini_set("display_errors", 1);
ini_set('arg_separator.output', '&amp;');
date_default_timezone_set("America/Toronto");

$setupLang = 'en';
if( isset($_GET['lang']) || isset($_POST['lang'])) {
	$setupLang = htmlspecialchars(( isset($_GET['lang']) ) ? $_GET['lang'] : $_POST['lang']);
}
$setupStep = 0;
if( isset($_GET['step']) || isset($_POST['step'])) {
	$setupStep = htmlspecialchars(( isset($_GET['step']) ) ? $_GET['step'] : $_POST['step']);
}

if($setupStep == 4) {
	session_start();
	session_unset();
	session_destroy();
	
	include '../config4.php';
	include 'mysqli.php';
	
	// mySQL : Replace the default database name by the new ones.
	
	// GMO_trade
	$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_trade'");
	// Add missing column "TEXT1", "TEXT2" from existing table
	if(mysqli_num_rows($query) > 0) {
		$query3 = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_trade' AND `COLUMN_NAME` = 'TEXT1'");
		if(mysqli_num_rows($query3) == 0) {
			$sql = "ALTER TABLE `".$db_table."_trade` ADD `TEXT1` text NOT NULL";
			$query3 = mysqli_query($con, $sql);
			$sql = "ALTER TABLE `".$db_table."_trade` ADD `TEXT2` text NOT NULL";
			$query3 = mysqli_query($con, $sql);
		}
	}
	
	// Create the GMO_trade table (New to v4)
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE `".$db_table."_trade` (
		`INT` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`DATE1` datetime NOT NULL ,
		`TEAM1` text NOT NULL ,
		`PLAYER1` text NOT NULL ,
		`PROSPECT1` text NOT NULL ,
		`DRAFT1` text NOT NULL ,
		`CASH1` text NOT NULL ,
		`DATE2` datetime NOT NULL ,
		`TEAM2` text NOT NULL ,
		`PLAYER2` text NOT NULL ,
		`PROSPECT2` text NOT NULL ,
		`DRAFT2` text NOT NULL ,
		`CASH2` text NOT NULL ,
		`APPROVAL` datetime NOT NULL ,
		`TEXT1` text NOT NULL ,
		`TEXT2` text NOT NULL ,
		PRIMARY KEY ( `INT` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
	
	// GMO_ufalist
	$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_ufalist'");
	// Create the GMO_ufalist table (New to v4)
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE `".$db_table."_ufalist` (
		`INT` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`LEAGUE` text NOT NULL ,
		`NAME` text NOT NULL ,
		`POSI` text NOT NULL ,
		`NUMB` text NOT NULL ,
		`HAND` text NOT NULL ,
		`HEIG` text NOT NULL ,
		`WEIG` text NOT NULL ,
		`AGES` text NOT NULL ,
		`COND` text NOT NULL ,
		`INTE` text NOT NULL ,
		`SPEE` text NOT NULL ,
		`STRE` text NOT NULL ,
		`ENDU` text NOT NULL ,
		`DURA` text NOT NULL ,
		`DISC` text NOT NULL ,
		`SKAT` text NOT NULL ,
		`PASS` text NOT NULL ,
		`PKCT` text NOT NULL ,
		`DEFS` text NOT NULL ,
		`OFFS` text NOT NULL ,
		`EXPE` text NOT NULL ,
		`LEAD` text NOT NULL ,
		`SALA` text NOT NULL ,
		`BIRT` text NOT NULL ,
		`OVER` text NOT NULL ,
		`NTC` BOOLEAN NOT NULL , 
		`LAST_TEAM` text NOT NULL ,
		`PROTECTED` text NOT NULL ,
		`DISABLED` BOOLEAN NOT NULL ,
		`TEAM` text NOT NULL ,
		`DATE` datetime NOT NULL ,
		`SALARY` text NOT NULL ,
		`YEAR` text NOT NULL ,
		PRIMARY KEY ( `INT` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
	
	// GMO_ufalistsend
	$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_ufalistsend'");
	// Add missing column "VIEWED" from existing table
	if(mysqli_num_rows($query) > 0) {
		$query3 = mysqli_query($con, "SELECT * FROM `information_schema`.`COLUMNS` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_ufalistsend' AND `COLUMN_NAME` = 'VIEWED'");
		if(mysqli_num_rows($query3) == 0) {
			$sql = "ALTER TABLE `".$db_table."_ufalistsend` ADD `VIEWED` BOOLEAN NOT NULL";
			$query3 = mysqli_query($con, $sql);
		}
	}
	
	// Create the GMO_ufalistsend table (New to v4)
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE `".$db_table."_ufalistsend` (
		`ID` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`LEAGUE` text NOT NULL ,
		`TEAM` text NOT NULL ,
		`PLAYERID` text NOT NULL ,
		`CONTRACT` text NOT NULL ,
		`SALARY` text NOT NULL ,
		`OTHER` text NOT NULL ,
		`DATE` datetime NOT NULL ,
		`APPR` BOOLEAN NOT NULL ,
		`DATE_APPR` datetime NOT NULL ,
		`VIEWED` BOOLEAN NOT NULL ,
		PRIMARY KEY ( `ID` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
	
	// GMO_players (New to v4)
	$query = mysqli_query($con, "SELECT * FROM `information_schema`.`TABLES` WHERE `TABLE_SCHEMA` = '$db_name' AND `TABLE_NAME` = '".$db_table."_players'");
	// Create the GMO_players table (New to v4)
	if(mysqli_num_rows($query) == 0) {
		$sql = "CREATE TABLE `".$db_table."_players` (
		`ID` int( 11 ) NOT NULL AUTO_INCREMENT ,
		`RANK` tinyint(3) UNSIGNED NOT NULL ,
		`NAME` varchar(22) NOT NULL ,
		`POSI` char(2) NOT NULL ,
		`NUMB` tinyint(4) UNSIGNED NOT NULL ,
		`PROT` BOOLEAN NOT NULL ,
		`HAND` BOOLEAN NOT NULL ,
		`HEIG` tinyint(3) UNSIGNED NOT NULL ,
		`WEIG` smallint(5) UNSIGNED NOT NULL ,
		`AGES` tinyint(3) UNSIGNED NOT NULL ,
		`STAT` tinyint(3) UNSIGNED NOT NULL ,
		`COND` tinyint(3) UNSIGNED NOT NULL ,
		`INTE` tinyint(3) UNSIGNED NOT NULL ,
		`SPEE` tinyint(3) UNSIGNED NOT NULL ,
		`STRE` tinyint(3) UNSIGNED NOT NULL ,
		`ENDU` tinyint(3) UNSIGNED NOT NULL ,
		`DURA` tinyint(3) UNSIGNED NOT NULL ,
		`DISC` tinyint(3) UNSIGNED NOT NULL ,
		`SKAT` tinyint(3) UNSIGNED NOT NULL ,
		`PASS` tinyint(3) UNSIGNED NOT NULL ,
		`PKCT` tinyint(3) UNSIGNED NOT NULL ,
		`DEFS` tinyint(3) UNSIGNED NOT NULL ,
		`OFFS` tinyint(3) UNSIGNED NOT NULL ,
		`EXPE` tinyint(3) UNSIGNED NOT NULL ,
		`LEAD` tinyint(3) UNSIGNED NOT NULL ,
		`SALA` int(10) UNSIGNED NOT NULL ,
		`CONT` tinyint(3) UNSIGNED NOT NULL ,
		`SUSP` tinyint(3) UNSIGNED NOT NULL ,
		`GPGP` tinyint(4) UNSIGNED NOT NULL ,
		`GOPM` tinyint(3) UNSIGNED NOT NULL ,
		`ASAS` tinyint(3) UNSIGNED NOT NULL ,
		`PLMN` smallint(6) NOT NULL ,
		`PMGA` tinyint(3) UNSIGNED NOT NULL ,
		`STST` smallint(5) UNSIGNED NOT NULL ,
		`PPSO` tinyint(3) UNSIGNED NOT NULL ,
		`SHWN` tinyint(3) UNSIGNED NOT NULL ,
		`GWLS` tinyint(3) UNSIGNED NOT NULL ,
		`GTTI` tinyint(3) UNSIGNED NOT NULL ,
		`HITS` smallint(5) UNSIGNED NOT NULL ,
		`BIRT` varchar(3) NOT NULL ,
		`OVER` tinyint(3) UNSIGNED NOT NULL ,
		`TEAM` varchar(2) NOT NULL ,
		`SAVE_STAT` varchar(3) NOT NULL ,
		`SAVE_PROT` char(1) NOT NULL ,
		PRIMARY KEY ( `ID` )
		) DEFAULT CHARSET=utf8;";
		$query = mysqli_query($con, $sql);
	}
	
	$sql = "SELECT `VALUE` FROM `".$db_table."_parameters` WHERE `PARAM` = 'SessionName' LIMIT 1";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	if($query){
		while($data = mysqli_fetch_array($query)) {
			$SessionName = $data['VALUE'];
		}
	}
	
	session_name($SessionName);
	$sql = "SELECT `INT`, `USER`, `EQUIPE`, `EQUIPESIM` FROM `$db_table` WHERE `EQUIPE` = 'ADMIN' LIMIT 1";
	$query = mysqli_query($con, $sql) or die(mysqli_error($con));
	if($query){
		while($data = mysqli_fetch_array($query)) {
			session_start();
  			$_SESSION['login'] = $data['USER'];
			$_SESSION['equipe'] = $data['EQUIPE'];
			$_SESSION['equipesim'] = $data['EQUIPESIM'];
			$_SESSION['int'] = $data['INT'];
		}
	}
	mysqli_close($con);
	header('Location: ../?admin=first');
	exit;
}
?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-type" content="text/html; charset=utf-8">
<meta name="author" content="Éric Leclerc">
<title>ONLINE GM EDITOR v4.00 INSTALL</title>


<style type="text/css">
body { 
	margin:0px; 
	padding: 0px;
	font-size:10pt;
	font-family:arial,verdana,sans-serif;
	color:#000000;
	text-decoration: none;
}
img {
	margin: 0;
	padding: 0;
	border: 0;
}
a {
  text-decoration: none; 
  color:#18779D;
}
a:hover {
  text-decoration: none;
  color:#055A7C;
}
</style>

</head>
<body>
<?php

include 'lang.php';
include 'gmo4.php';

?>
<br><br><center>Création de / Created by<br><a href="mailto:eleclerc@hotmail.ca" target="_blank">Éric Leclerc</a>.</center></body></html>